
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */



//cadastro >= 15 anos
function ValidaCadastroFamilia1()
{                      
    hoje = new Date();
    
    for(i=1;i<=10;i++)    
    {
       objNome = document.getElementById('form_1_nomemembrofamilia' + i );
       objDtNasc = document.getElementById('form_1_idadepessoafamilia' + i );
       objParentesco = document.getElementById('form_1_grauparentesco' + i );
       objSexo = document.getElementById('form_1_sexopessoafamilia' + i );
       objRaca = document.getElementById('form_1_corracamembrofamilia' + i );
       objDef = document.getElementById('form_1_deficienciamembrofamilia' + i );
       objAlfabetizado = document.getElementById('form_1_alfabetizadomembrofamilia' + i );
       objOcupacao = document.getElementById('form_1_ocupacao' + i );
       objRenda = document.getElementById('form_1_temrendatrabalhomembrofamilia' + i );
       objValor = document.getElementById('form_1_valorrendatrabalhomembrofamilia' + i );

       //se algum dos campos foi preenchido, validar todo o restante
       if ((objNome.value != '') || (objDtNasc.value != '') || (objParentesco.value != '') || (objSexo.value != '') || (objRaca.value != '')
            || (objAlfabetizado.value != '') || (objOcupacao.value != '') || (objRenda.value != '') || (objValor.value != '') || (objDef.value != ''))
            {
                //if ((objNome.value == '') || (objDtNasc.value == '') || (objParentesco.value == '') || (objSexo.value == '') || (objRaca.value == ''))
                if ((objNome.value == '') || (objParentesco.value == '') || (objRaca.value == ''))
                {
                    //return 'Preencha os campos Nome, Nascimento, Parentesco, Sexo e Cor/Raça do Cadastro de Pessoas da Família com 15 anos ou mais (linha '+ i +')' ;
                    return 'Preencha os campos Nome, Idade, Cor e Parentesco do Cadastro de Pessoas da Família com 15 anos ou mais (linha '+ i +')' ;
                }

                if (objDtNasc.value == '')
                {
                  return 'Informe a idade presumida (linha '+ i +')' ;
                }		

                
            }
    }
    return '';
}

//cadastro 0 a 14 anos
function ValidaCadastroFamilia2()
{
    hoje = new Date();

    for(i=1;i<=10;i++)
    {
       objNome = document.getElementById('form_2_nomemembrofamilia' + i );
       objDtNasc = document.getElementById('form_2_idadepessoafamilia' + i );
       objParentesco = document.getElementById('form_2_grauparentesco' + i );
       objSexo = document.getElementById('form_2_sexopessoafamilia' + i );
       objRaca = document.getElementById('form_2_corracamembrofamilia' + i );
       objEscola = document.getElementById('form_2_frequentaescolamembrofamilia' + i );
       objDef = document.getElementById('form_2_deficienciamembrofamilia' + i );
       objTipoIdade = document.getElementById('form_2_tipoidade' + i );

       //se algum dos campos foi preenchido, validar todo o restante
       if ((objNome.value != '') || (objDtNasc.value != '') || (objParentesco.value != '') || (objSexo.value != '') || (objRaca.value != '')
            || (objEscola.value != '')  || (objDef.value != ''))
            {
                //if ((objNome.value == '') || (objDtNasc.value == '') || (objParentesco.value == '') || (objSexo.value == '') || (objRaca.value == '') )
                if ((objNome.value == '') || (objParentesco.value == '') || (objRaca.value == '') )
                {
                    //return 'Preencha os campos Nome, Nascimento, Parentesco, Sexo e Cor/Raça do Cadastro de Pessoas da Família de 0 a 14 anos (linha '+ i +')' ;
                    return 'Preencha os campos Nome, Idade, Cor e Parentesco do Cadastro de Pessoas da Família de 0 a 14 anos (linha '+ i +')' ;
                }

                if  (objDtNasc.value == '')
                {
                   return 'Informe a idade presumida (linha '+ i +')' ;
                }

		idade = parseInt(objDtNasc.value);

		if ((objTipoIdade.value == 'M')&& (idade>11))
		{
		   return 'A idade em meses não deve ser maior que 11 (linha '+ i +')' ;
		}
                
            }   
    }
    return '';
}



function ValidaVisitasAnteriores()
{
   var i;

   i=1;   
   obj = document.getElementsByName('visita_antiga' + i);

   while(obj.length > 0)
   {
      if (!ValidaRadioObrigatorio('form_demandaencaminhadaatendidavisita' + i + '[]'))
      {	
        return false;
      }


      i = parseInt(i) + 1;

      obj = document.getElementsByName('visita_antiga' + i);
   }   

   return true;

}



function validate()
{
	resetColorLabels('campos2','');
    
	var erro=0;
	var msg='\nPreencha os seguintes campos:\n';
    

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VALIDANDO NOME DO Usuario */
	if(isEmpty(document.getElementById('form_nomeUsuario').value))
	{
		msg+='\n -> Nome Completo do Usuario';

		changeBack('l_nomeUsuario','form_nomeUsuario','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeUsuario').focus();
        erro=1;
	}    


	/* VALIDANDO NOME MAE */
	if((isEmpty(document.getElementById('form_nomeMae').value)) && (!document.getElementById('form_NaoTemMae').checked) )
	{
		msg+='\n -> Nome da Mãe';

		changeBack('l_nomeMae','form_nomeMae','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeMae').focus();
        erro=1;
	}    

    
    /* VALIDANDO CADSUS */    
    if(!ValidaRadioObrigatorio('form_temCartaoSus'))
    {
           msg+='\n -> CADSUS ';
           erro=1;
           changeBack('','form_temCartaoSus','label_alert','field_alert');                   
    }
    
    
    
    if(document.getElementsByName('form_temCartaoSus')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_nrocadsususuario').value))
        {
            msg+='\n -> No. CADSUS';

            changeBack('','form_nrocadsususuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_nrocadsususuario').focus();
            erro=1;
        }  
	else
	{

	    if (!ValidaSUS(document.getElementById('form_nrocadsususuario').value))
            {    
                 msg+='\n -> No. CADSUS Inválido';

                 changeBack('','form_nrocadsususuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_nrocadsususuario').focus();
                erro=1;
            }
	    
	}
        
        if(!ValidaRadioObrigatorio('form_nrocadsususuarioapresentada'))
        {
                  msg+='\n -> CADSUS Comprovado';
                  erro=1;
                  changeBack('','form_nrocadsususuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_nrocadsususuariodigitalizada'))
        {
                  msg+='\n -> CADSUS Digitalizado';
                  erro=1;
                  changeBack('','form_nrocadsususuariodigitalizada','label_alert','field_alert');        
        }
    }  
   
    
	/* VALIDANDO SEXO */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_sexoUsuario.length; i++) {
    	if (document.InclusaoMatricula.form_sexoUsuario[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if (res == 0) {
		msg+='\n -> Sexo';
		erro=1;

		changeBack('l_sexoUsuario',null,'label_alert','field_alert');
	}
    
    

	/* VALIDANDO DATA DE NASCIMENTO DO Usuario */
	if(isEmpty(document.getElementById('form_dataNascimentoUsuario').value))
	{
		msg+='\n -> Data de Nascimento';

		changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_dataNascimentoUsuario').focus();
        erro=1;
	}
    else
    {
        hoje = new Date();
        objDtNasc = document.getElementById('form_dataNascimentoUsuario');
        dt_nasc = objDtNasc.value.split('/');
        nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);
        
        if (hoje - nascimento < 0)
        {
            msg+='\n -> Data de nascimento superior a data atual';

            changeBack('l_dataNascimentoUsuario','form_dataNascimentoUsuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_dataNascimentoUsuario').focus();
                
            erro=1;
        }
        
    }



   /* VALIDANDO nacionalidade */    
   
    if(!ValidaRadioObrigatorio('form_nacionalidadeUsuario'))
    {
           msg+='\n -> Nacionalidade do usuário';
           erro=1;
           changeBack('','form_nacionalidadeUsuario','label_alert','field_alert');                   
    }
    
    
    /* VALIDANDO NIS */    
    if(!ValidaRadioObrigatorio('form_temNIS'))
    {
           msg+='\n -> NIS';
           erro=1;
           changeBack('','form_temNIS','label_alert','field_alert');                   
    }

	if(document.getElementsByName('form_temNIS')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_nisusuario').value))
        {
            msg+='\n -> No. NIS';

            changeBack('','form_nisusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_nisusuario').focus();
            erro=1;
        }  
        
        if(!ValidaRadioObrigatorio('form_nisusuarioapresentada'))
        {
                  msg+='\n -> NIS Comprovado';
                  erro=1;
                  changeBack('','form_nisusuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_nisusuariodigitalizada'))
        {
                  msg+='\n -> NIS Digitalizado';
                  erro=1;
                  changeBack('','form_nisusuariodigitalizada','label_alert','field_alert');        
        }
    }  
    
    
     /* VALIDANDO CPF */    
    if(!ValidaRadioObrigatorio('form_temCPF'))
    {
           msg+='\n -> CPF';
           erro=1;
           changeBack('','form_temCPF','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temCPF')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_cpfusuario').value))
        {
            msg+='\n -> No. CPF';        

            changeBack('','form_cpfusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_cpfusuario').focus();
            erro=1;
        }
        else
        {
            
            if (!ValidaCPF(document.getElementById('form_cpfusuario').value))
            {
                 msg+='\n -> No. CPF Inválido';

                 changeBack('','form_cpfusuario','label_alert','field_alert');

                 if(erro==0)
                    document.getElementById('form_cpfusuario').focus();
                 erro=1;
            }
        }
        
        if(!ValidaRadioObrigatorio('form_cpfapresentada'))
        {
                  msg+='\n -> CPF Comprovado';
                  erro=1;
                  changeBack('','form_cpfapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_cpfdigitalizada'))
        {
                  msg+='\n -> CPF Digitalizado';
                  erro=1;
                  changeBack('','form_cpfdigitalizada','label_alert','field_alert');        
        }
    }
    
    
    /* VALIDANDO RG */    
    if(!ValidaRadioObrigatorio('form_temRG'))
    {
           msg+='\n -> RG';
           erro=1;
           changeBack('','form_temRG','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temRG')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_rgusuario').value))
        {
            msg+='\n -> No. RG';        

            changeBack('','form_rgusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_rgusuario').focus();
            erro=1;
        }  
        
        if(isEmpty(document.getElementById('form_rgusuariodataemissao').value))
        {
            msg+='\n -> Data Emissão RG';

            changeBack('','form_rgusuariodataemissao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_rgusuariodataemissao').focus();
            erro=1;
        }  
        else
        {
            hoje = new Date();
            objDtNasc = document.getElementById('form_rgusuariodataemissao');
            dt_nasc = objDtNasc.value.split('/');
            nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);
            
            if (hoje - nascimento < 0)
            {
                msg+='\n -> Data de emissão do RG superior a data atual';

                changeBack('','form_rgusuariodataemissao','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_rgusuariodataemissao').focus();
                    
                erro=1;
            }
            
        }
        
        if(!ValidaRadioObrigatorio('form_rgusuarioapresentada'))
        {
                  msg+='\n -> RG Comprovado';
                  erro=1;
                  changeBack('','form_rgusuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_rgusuariodigitalizada'))
        {
                  msg+='\n -> RG Digitalizado';
                  erro=1;
                  changeBack('','form_rgusuariodigitalizada','label_alert','field_alert');        
        }
    }
    
    /* VALIDANDO CTPS */    
    if(!ValidaRadioObrigatorio('form_temCarteiraTrab'))
    {
           msg+='\n -> Carteira de Trabalho';
           erro=1;
           changeBack('','form_temCarteiraTrab','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temCarteiraTrab')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_carteiratrabusuario').value))
        {
            msg+='\n -> No. Carteira de Trabalho';        

            changeBack('','form_carteiratrabusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuario').focus();
            erro=1;
        }  
        
        if(isEmpty(document.getElementById('form_carteiratrabusuarioserie').value))
        {
            msg+='\n -> SÃ©rie da Carteira de Trabalho';

            changeBack('','form_carteiratrabusuarioserie','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuarioserie').focus();
            erro=1;
        }  
        
        if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissao').value))
        {
            msg+='\n -> Data Emissão da Carteira de Trabalho';

            changeBack('','form_carteiratrabusuariodataemissao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_carteiratrabusuariodataemissao').focus();
            erro=1;
        }  
        else
        {
            hoje = new Date();
            objDtNasc = document.getElementById('form_carteiratrabusuariodataemissao');
            dt_nasc = objDtNasc.value.split('/');
            nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);
            
            if (hoje - nascimento < 0)
            {
                msg+='\n -> Data de emissão da Carteira de Trabalho superior a data atual';

                changeBack('','form_carteiratrabusuariodataemissao','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_carteiratrabusuariodataemissao').focus();
                    
                erro=1;
            }
            
        }
        
        if(!ValidaRadioObrigatorio('form_carteiratrabusuarioapresentada'))
        {
                  msg+='\n -> Carteira de Trabalho Comprovada';
                  erro=1;
                  changeBack('','form_carteiratrabusuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_carteiratrabusuariodigitalizada'))
        {
                  msg+='\n -> Carteira de Trabalho Digitalizada';
                  erro=1;
                  changeBack('','form_carteiratrabusuariodigitalizada','label_alert','field_alert');        
        }
    }
    
   
   /* VALIDANDO TIT. ELEITOR */  
   if(!ValidaRadioObrigatorio('form_temTituloEleitor'))
    {
           msg+='\n -> Tít. Eleitor';
           erro=1;
           changeBack('','form_temTituloEleitor','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temTituloEleitor')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_titeleitorusuario').value))
        {
            msg+='\n -> No. Tít. Eleitor';        

            changeBack('','form_titeleitorusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_titeleitorusuario').focus();
            erro=1;
        }  
        else
	{

	    if (!ValidaTituloEleitor(document.getElementById('form_titeleitorusuario').value))
            {    
                 msg+='\n -> No. Tít. Eleitor Inválido';

                 changeBack('','form_titeleitorusuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_titeleitorusuario').focus();
                erro=1;
            }
	    
	}
        
        if(isEmpty(document.getElementById('form_titeleitorusuariozona').value))
        {
            msg+='\n -> Zona do Tít. Eleitor';

            changeBack('','form_titeleitorusuariozona','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_titeleitorusuariozona').focus();
            erro=1;
        }  
        
        if(isEmpty(document.getElementById('form_titeleitorusuariosecao').value))
        {
            msg+='\n -> Seção do Tít. Eleitor';

            changeBack('','form_titeleitorusuariosecao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_titeleitorusuariosecao').focus();
            erro=1;
        }  
        
        if(!ValidaRadioObrigatorio('form_titeleitorusuarioapresentada'))
        {
                  msg+='\n ->  Tít. Eleitor Comprovado';
                  erro=1;
                  changeBack('','form_titeleitorusuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_titeleitorusuariodigitalizada'))
        {
                  msg+='\n ->  Tít. Eleitor Digitalizado';
                  erro=1;
                  changeBack('','form_titeleitorusuariodigitalizada','label_alert','field_alert');        
        }
    }
    
    /* VALIDANDO PIS */  
   if(!ValidaRadioObrigatorio('form_temPIS'))
    {
           msg+='\n -> PIS/PASEP';
           erro=1;
           changeBack('','form_temPIS','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temPIS')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_pispasepusuario').value))
        {
            msg+='\n -> No. PIS/PASEP';        

            changeBack('','form_pispasepusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_pispasepusuario').focus();
            erro=1;
        }          
	else
	{

	    if (!ValidaPIS(document.getElementById('form_pispasepusuario').value))
            {    
                 msg+='\n -> No. PIS/PASEP Inválido';

                 changeBack('','form_pispasepusuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_pispasepusuario').focus();
                erro=1;
            }
	    
	}
        
        
        if(!ValidaRadioObrigatorio('form_pispasepusuarioapresentada'))
        {
                  msg+='\n ->  PIS/PASEP Comprovado';
                  erro=1;
                  changeBack('','form_pispasepusuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_pispasepusuariodigitalizada'))
        {
                  msg+='\n ->  PIS/PASEP Digitalizado';
                  erro=1;
                  changeBack('','form_pispasepusuariodigitalizada','label_alert','field_alert');        
        }
    }
    
    /* VALIDANDO CERT. NASCIMENTO */  
   if(!ValidaRadioObrigatorio('form_temCertidao'))
    {
           msg+='\n -> Certidão Civil';
           erro=1;
           changeBack('','form_temCertidao','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temCertidao')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_certidaousuariodataemissao').value))
        {
            msg+='\n -> Data de Emissão Certidão Civil';        

            changeBack('','form_certidaousuariodataemissao','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_certidaousuariodataemissao').focus();
            erro=1;
        }
        else
        {
            hoje = new Date();
            objDtNasc = document.getElementById('form_certidaousuariodataemissao');
            dt_nasc = objDtNasc.value.split('/');
            nascimento = new Date(dt_nasc[2], dt_nasc[1]-1, dt_nasc[0]);
            
            if (hoje - nascimento < 0)
            {
                msg+='\n -> Data de emissão da Certido Civil superior a data atual';

                changeBack('','form_certidaousuariodataemissao','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_certidaousuariodataemissao').focus();
                    
                erro=1;
            }
            
        }
        
        if(isEmpty(document.getElementById('form_certidaofolhausuario').value))
        {
            msg+='\n -> Folha Certidão Civil';        

            changeBack('','form_certidaofolhausuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_certidaofolhausuario').focus();
            erro=1;
        }
        
        if(isEmpty(document.getElementById('form_certidaotermousuario').value))
        {
            msg+='\n -> Termo Certidão Civil';        

            changeBack('','form_certidaotermousuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_certidaotermousuario').focus();
            erro=1;
        }
        
        if(isEmpty(document.getElementById('form_certidaolivrousuario').value))
        {
            msg+='\n -> Livro Certidão Civil';        

            changeBack('','form_certidaolivrousuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_certidaolivrousuario').focus();
            erro=1;
        }
        
        if(isEmpty(document.getElementById('form_certidaocartoriousuario').value))
        {
            msg+='\n -> CartÃƒÂ³rio Certidão Civil';        

            changeBack('','form_certidaocartoriousuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_certidaocartoriousuario').focus();
            erro=1;
        }
        
        if(!ValidaRadioObrigatorio('form_certidaocartoriousuarioapresentada'))
        {
                  msg+='\n ->  Certidão Civil Comprovada';
                  erro=1;
                  changeBack('','form_certidaocartoriousuarioapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_certidaocartoriodigitalizadausuario'))
        {
                  msg+='\n ->  Certidão Civil Digitalizada';
                  erro=1;
                  changeBack('','form_certidaocartoriodigitalizadausuario','label_alert','field_alert');        
        }
    }
    
    
    
     /* VALIDANDO CNH */  
   if(!ValidaRadioObrigatorio('form_temCartMotorista'))
    {
           msg+='\n -> Cart. de Motorista';
           erro=1;
           changeBack('','form_temCartMotorista','label_alert','field_alert');                   
    }
    
    if(document.getElementsByName('form_temCartMotorista')[0].checked)    
    {
        if(isEmpty(document.getElementById('form_cartmotoristausuario').value))
        {
            msg+='\n -> No. Cart. de Motorista';        

            changeBack('','form_cartmotoristausuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_cartmotoristausuario').focus();
            erro=1;
        }
        else
	{

	    if (!ValidaHabilitacaoMotorista(document.getElementById('form_cartmotoristausuario').value))
            {    
                 msg+='\n -> No. Cart. de Motorista inválido';

                 changeBack('','form_cartmotoristausuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_cartmotoristausuario').focus();
                erro=1;
            }
	    
	}          
        
        
        if(!ValidaRadioObrigatorio('form_cartmotoristaapresentada'))
        {
                  msg+='\n ->  Cart. de Motorista Comprovada';
                  erro=1;
                  changeBack('','form_cartmotoristaapresentada','label_alert','field_alert');        
        }
        
        if(!ValidaRadioObrigatorio('form_cartmotoristadigitalizada'))
        {
                  msg+='\n ->  Cart. de Motorista Digitalizada';
                  erro=1;
                  changeBack('','form_cartmotoristadigitalizada','label_alert','field_alert');        
        }
    }
    
 
	/*------------------------------------------------------------------------
                        VALIDANDO DADOS DE ENDEREÃƒÆ’Ã¢â‚¬Â¡O DE Usuario
    -------------------------------------------------------------------------*/
    
    if( isEmpty(document.getElementById('form_logradouroGeoiguacuUsuario').value) && (document.getElementById('form_logradouroNaoCadastrado').checked==false)  && (document.getElementById('form_tipoendereco').value=='') )
    {
        msg+='\n -> Numero do Cadastro de Imovel GeoIguacu, \nLogradouro do imóvel não cadastrado ou Sem Endereço Fixo';

        changeBack('l_logradouroGeoiguacuUsuario','form_logradouroGeoiguacuUsuario','label_alert','field_alert');
        changeBack('l_logradouroNaoCadastrado',null,'label_alert','field_alert');
        changeBack('','form_tipoendereco','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_logradouroGeoiguacuUsuario').focus();
        erro=1;
    }
    else
    {        

	if( (document.getElementById('form_logradourotipojustificativa').value=='1') && (document.getElementById('form_logradouroCidadeUsuario').value=='3303500') )
        {
           msg+='\n -> A justificativa -Endereço fora do município- não pode ser utilizada quando a cidade for Nova Iguaçu.';
           erro=1;
        }


        if (document.getElementById('form_tipoendereco').value=='')
        {                    
            if( isEmpty(document.getElementById('form_logradouroTipoUsuario').value) )
            {
                msg+='\n -> Tipo (logradouro)';
                changeBack('l_logradouroTipoUsuario','form_logradouroTipoUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroTipoUsuario').focus();
                erro=1;
            }            
            

            if( isEmpty(document.getElementById('form_logradouroNomeUsuario').value) )
            {
                msg+='\n -> Logradouro';
                changeBack('l_logradouroNomeUsuario','form_logradouroNomeUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroNomeUsuario').focus();
                erro=1;
            }
            
            

            if( (isEmpty(document.getElementById('form_logradouroNumeroUsuario').value)) && (isEmpty(document.getElementById('form_logradouroGeoiguacuUsuario').value)) )
            {
                msg+='\n -> Numero';
                changeBack('l_logradouroNumeroUsuario','form_logradouroNumeroUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroNumeroUsuario').focus();
                erro=1;
            }
            
            if( isEmpty(document.getElementById('form_logradouroBairroUsuario').value) )
            {
                msg+='\n -> Bairro';
                changeBack('l_logradouroBairroUsuario','form_logradouroBairroUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroBairroUsuario').focus();
                erro=1;
            }
            
            

            if( isEmpty(document.getElementById('form_logradouroUfUsuario').value) )
            {
                msg+='\n -> UF';
                changeBack('l_logradouroUfUsuario','form_logradouroUfUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroUfUsuario').focus();
                erro=1;
            }

            if( isEmpty(document.getElementById('form_logradouroCidadeUsuario').value) )
            {
                msg+='\n -> Cidade';
                changeBack('l_logradouroCidadeUsuario','form_logradouroCidadeUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroCidadeUsuario').focus();
                erro=1;
            }

            
            if( isEmpty(document.getElementById('form_logradouroCepUsuario').value) )
            {
                msg+='\n -> CEP';
                changeBack('l_logradouroCepUsuario','form_logradouroCepUsuario','label_alert','field_alert');
                if(erro==0)
                    document.getElementById('form_logradouroCepUsuario').focus();
                erro=1;
            }    
            
            
            if( (document.getElementById('form_logradouroNaoCadastrado').checked==true) && (!ValidaRadioObrigatorio('form_logradourotipojustificativa')) )
            {
                msg+='\n -> Selecione o Tipo da Justificativa de Logradouro não cadastrado ';

                changeBack('','form_logradourotipojustificativa','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_logradourotipojustificativa').focus();
                erro=1;
            }
            
            
            if( isEmpty(document.getElementById('form_logradourojustificativausuario').value) && (document.getElementsByName('form_logradourotipojustificativa')[1].checked) )
            {
                msg+='\n -> Descreva a Justificativa do Logradouro Nao Cadastrado';

                changeBack('','form_logradourojustificativausuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_logradourojustificativausuario').focus();
                erro=1;
            }    
        }
        
    }
    
    
    
    
   
   
     if( isEmpty(document.getElementById('form_telefoneFixoUsuario').value) && (!document.getElementById('form_possuiTelefoneFixo').checked) )
    {
        msg+='\n -> Telefone Residencial';

        changeBack('','form_telefoneFixoUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneFixoUsuario').focus();
        erro=1;
    }
    
     if( isEmpty(document.getElementById('form_telefoneCelularUsuario').value) && (!document.getElementById('form_possuiTelefoneCelular').checked) )
    {
        msg+='\n -> Telefone Celular';

        changeBack('','form_telefoneCelularUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneFixoUsuario').focus();
        erro=1;
    }
    
    if( isEmpty(document.getElementById('form_telefoneRecadoUsuario').value) && (!document.getElementById('form_possuiTelefoneRecado').checked) )
    {
        msg+='\n -> Telefone de Recado';

        changeBack('','form_telefoneRecadoUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_telefoneRecadoUsuario').focus();
        erro=1;
    }
    
    if( isEmpty(document.getElementById('form_emailUsuario').value) && (!document.getElementById('form_possuiEmail').checked) )
    {
        msg+='\n -> Email';

        changeBack('','form_emailUsuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_emailUsuario').focus();
        erro=1;
    }
    else
    {
        if(!document.getElementById('form_possuiEmail').checked)
        {
            if(!ValidaEmail( document.getElementById('form_emailUsuario').value ))
            {
                 msg+='\n -> Email inválido';

                changeBack('','form_emailUsuario','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_emailUsuario').focus();
                erro=1;
            }                
        }
        
    }
    
    if( !ValidaRadioObrigatorio('form_enderecocorrespomesmo') )
    {
        msg+='\n -> Endereço de Correspondência';

        changeBack('','form_enderecocorrespomesmo','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_enderecocorrespomesmo').focus();
        erro=1;
    }
    
    //validar se endereco de corresp. estÃ¡ completo
    if( document.getElementsByName('form_enderecocorrespomesmo')[1].checked )
    {
        if( isEmpty(document.getElementById('form_logradourocorresptipousuario').value) )
        {
            msg+='\n -> Tipo (logradouro corresp.)';
            changeBack('l_logradourocorresptipousuario','form_logradourocorresptipousuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorresptipousuario').focus();
            erro=1;
        }
        
        

        if( isEmpty(document.getElementById('form_logradourocorrespnomeusuario').value) )
        {
            msg+='\n -> Logradouro Corresp.';
            changeBack('l_logradourocorrespnomeusuario','form_logradourocorrespnomeusuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespnomeusuario').focus();
            erro=1;
        }        
        

        if( isEmpty(document.getElementById('form_logradourocorrespnumerousuario').value) )
        {
            msg+='\n -> Numero Corresp.';
            changeBack('','form_logradourocorrespnumerousuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespnumerousuario').focus();
            erro=1;
        }
        
        if( isEmpty(document.getElementById('form_logradourocorrespbairrousuario').value) )
        {
            msg+='\n -> Bairro Corresp.';
            changeBack('','form_logradourocorrespbairrousuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespbairrousuario').focus();
            erro=1;
        }                
       

        
        if( isEmpty(document.getElementById('form_logradourocorrespcepusuario').value) )
        {
            msg+='\n -> CEP Corresp.';
            changeBack('','form_logradourocorrespcepusuario','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_logradourocorrespcepusuario').focus();
            erro=1;
        }
    }
    
    if( !ValidaRadioObrigatorio('form_localmoradiaabrangenciacrasusuario') )
    {
        msg+='\n -> Moradia está na Área de abrangência deste CRAS?';

        changeBack('','form_localmoradiaabrangenciacrasusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_localmoradiaabrangenciacrasusuario').focus();
        erro=1;
    }
    
    
    //CADASTRO DA FAMILIA
    
    ret = ValidaCadastroFamilia1();
    if (ret != '')
    {
        msg+='\n -> ' + ret;
        erro=1;
    }
    
    
    ret = ValidaCadastroFamilia2();
    if (ret != '')
    {
        msg+='\n -> ' + ret;
        erro=1;
    }
    
    //**************************************
    //QUESTIONARIO
    //**************************************
    
    
    if( !ValidaRadioObrigatorio('form_conjugemoradomiciliousuario') )
    {
        msg+='\n -> Pergunta 1';

        changeBack('','form_conjugemoradomiciliousuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_conjugemoradomiciliousuario').focus();
        erro=1;
    }
    
    if((!document.getElementById('form_naosaberespcomodosdomiciliousuario').checked) && (document.getElementById('form_numcomodosdomiciliousuario').value=='') )
    {
        msg+='\n -> Pergunta 2';

        changeBack('','form_numcomodosdomiciliousuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_numcomodosdomiciliousuario').focus();
        erro=1;
    }   
    
    
    if( !ValidaRadioObrigatorio('form_visitademanda[]') )
    {
        msg+='\n -> Pergunta 3';
     
        erro=1;
    }
    else
    {
        
        if ((document.getElementById('form_demandaoutrosusuario').disabled == false) && (document.getElementById('form_demandaoutrosusuario').value == ''))
        {
            msg+='\n -> Pergunta 3 - Qual a demanda';

            changeBack('','form_demandaoutrosusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_demandaoutrosusuario').focus();
            erro=1;
        }
        
    }
    
    if( !ValidaRadioObrigatorio('form_origemdemanda') )
    {
        msg+='\n -> Pergunta 4';

        changeBack('','form_origemdemanda','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_origemdemanda').focus();
        erro=1;
    }
    
    if(!ValidaMultiplosRadiosObrigatorios('beneficio[]', 'form_usuariobeneficio'))
    {
          msg+='\n -> Todas as respostas para a Pergunta 5';
          erro = 1;
    }
    
    if( !ValidaRadioObrigatorio('form_usuarioapoio[]') )
    {
        msg+='\n -> Pergunta 6';
     
        erro=1;
    }
    
    q7 = document.getElementsByName('form_usuarioapoio[]');
    
     if( (!ValidaRadioObrigatorio('form_usuariotipoapoio[]')) && (!q7[3].checked) )
    {
        msg+='\n -> Pergunta 7';
     
        erro=1;
    }
    
    if( !ValidaRadioObrigatorio('form_recorreusuario') )
    {
        msg+='\n -> Pergunta 8';

        changeBack('','form_recorreusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_recorreusuario').focus();
        erro=1;
    }
    
    if( !ValidaRadioObrigatorio('form_gravidezprecocedomicusuario') )
    {
        msg+='\n -> Pergunta 9';

        changeBack('','form_gravidezprecocedomicusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_gravidezprecocedomicusuario').focus();
        erro=1;
    }
    else
    {
        if ((document.getElementsByName('form_gravidezprecocedomicusuario')[0].checked) && (!ValidaRadioObrigatorio('form_faixagravidezprecocedomicusuario')))
        {
            msg+='\n -> Pergunta 9 - faixa etÃ¡ria';

            changeBack('','form_faixagravidezprecocedomicusuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_faixagravidezprecocedomicusuario').focus();
            erro=1;
        }
    }
    
    if( !ValidaRadioObrigatorio('form_criancadomictrabusuario') )
    {
        msg+='\n -> Pergunta 10';

        changeBack('','form_criancadomictrabusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_criancadomictrabusuario').focus();
        erro=1;
    }
    
    if( !ValidaRadioObrigatorio('form_medidasocioeducativausuario') )
    {
        msg+='\n -> Pergunta 11';

        changeBack('','form_medidasocioeducativausuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_medidasocioeducativausuario').focus();
        erro=1;
    }
    else
    {
        if (((document.getElementsByName('form_medidasocioeducativausuario')[0].checked) || (document.getElementsByName('form_medidasocioeducativausuario')[1].checked)) && (document.getElementById('form_codigomedidasocioeducativa').value==''))
        {
            msg+='\n -> Pergunta 11 - Qual a medida sócio-educativa foi aplicada';

            changeBack('','form_medidasocioeducativausuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_codigomedidasocioeducativa').focus();
            erro=1;
        }
    }

    
     if( !ValidaRadioObrigatorio('form_frequentaabrigousuario') )
    {
        msg+='\n -> Pergunta 12';

        changeBack('','form_frequentaabrigousuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_frequentaabrigousuario').focus();
        erro=1;
    }
    else
    {
        if ((document.getElementsByName('form_frequentaabrigousuario')[0].checked) && (document.getElementById('form_idabrigousuario').value==''))
        {
            msg+='\n -> Pergunta 12 - Qual o abrigo de crianças';

            changeBack('','form_idabrigousuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_idabrigousuario').focus();
            erro=1;
        }
    }
    
    
    
     if( !ValidaRadioObrigatorio('form_frequentaabrigoidosousuario') )
    {
        msg+='\n -> Pergunta 13';

        changeBack('','form_frequentaabrigoidosousuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_frequentaabrigoidosousuario').focus();
        erro=1;
    }
    else
    {
        if ((document.getElementsByName('form_frequentaabrigoidosousuario')[0].checked) && (document.getElementById('form_idabrigoidosousuario').value==''))
        {
            msg+='\n -> Pergunta 13 - Qual o abrigo de idosos';

            changeBack('','form_idabrigoidosousuario','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_idabrigoidosousuario').focus();
            erro=1;
        }
    }
    
    
    
    
    
    
    
    
    if( !ValidaRadioObrigatorio('form_acompconselhotutelarusuario') )
    {
        msg+='\n -> Pergunta 14';

        changeBack('','form_acompconselhotutelarusuario','label_alert','field_alert');

        if(erro==0)
            document.getElementById('form_acompconselhotutelarusuario').focus();
        erro=1;
    }
    
    if(!ValidaMultiplosRadiosObrigatorios('servicosequipamentos[]', 'form_usuarioservicosequipamentos'))
    {
          msg+='\n -> Todas as respostas para a Pergunta 15';
          erro = 1;
    }


    if(!ValidaVisitasAnteriores())
    {
       msg+='\n -> Todas as situações das visitas anteriores (pergunta 16)';

       erro=1;

    }


    if( !ValidaRadioObrigatorio('form_demandaencaminhadaatendidavisita[]') )
    {
        msg+='\n -> Pergunta 16';

        changeBack('','form_demandaencaminhadaatendidavisita','label_alert','field_alert');

        //if(erro==0)
        //    document.getElementById('form_demandaencaminhadaatendidavisita').focus();
        erro=1;
    }
    else
    { 
        if (( document.getElementsByName('form_demandaencaminhadaatendidavisita[]')[3].checked) && (!ValidaRadioObrigatorio('form_destinodemanda[]')))
        {
            msg+='\n -> Pergunta 17';

            changeBack('','form_destinodemanda','label_alert','field_alert');

            if(erro==0)
                document.getElementById('form_destinodemanda').focus();
            erro=1;
        }
        else
        {
            if ((document.getElementById('form_destinodemandaoutros').disabled == false) && (document.getElementById('form_destinodemandaoutros').value == ''))
            {
                msg+='\n -> Pergunta 17 - Para onde foi encaminhada';

                changeBack('','form_destinodemandaoutros','label_alert','field_alert');

                if(erro==0)
                    document.getElementById('form_destinodemandaoutros').focus();
                erro=1;
            }
        }
    }    
    
   
    if(erro==0)
    {
	document.getElementById('form_logradouroNaoCadastrado').disabled = false;
	enableAllBoxes('form_demandaencaminhadaatendidavisita[]');
        return true;
    }
	else
	{
		alert(msg);
		return false;
	}
    
}
